Index: serefpolicy-contrib-20140730/stapserver.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/stapserver.te
@@ -0,0 +1,114 @@
+policy_module(systemtap, 1.1.0)
+
+########################################
+#
+# Declarations
+#
+
+type stapserver_t;
+type stapserver_exec_t;
+init_daemon_domain(stapserver_t, stapserver_exec_t)
+
+type stapserver_var_lib_t;
+files_type(stapserver_var_lib_t)
+
+type stapserver_log_t;
+logging_log_file(stapserver_log_t)
+
+type stapserver_var_run_t;
+files_pid_file(stapserver_var_run_t)
+
+type stapserver_tmp_t;
+files_tmp_file(stapserver_tmp_t)
+
+########################################
+#
+# stapserver local policy
+#
+
+#runuser
+allow stapserver_t self:capability { setuid setgid };
+allow stapserver_t self:process setsched;
+
+allow stapserver_t self:capability { dac_override kill };
+allow stapserver_t self:process { setrlimit signal };
+
+allow stapserver_t self:fifo_file rw_fifo_file_perms;
+allow stapserver_t self:key write;
+allow stapserver_t self:unix_stream_socket create_stream_socket_perms;
+allow stapserver_t self:tcp_socket { accept listen };
+
+manage_dirs_pattern(stapserver_t, stapserver_var_lib_t, stapserver_var_lib_t)
+manage_files_pattern(stapserver_t, stapserver_var_lib_t, stapserver_var_lib_t)
+files_var_lib_filetrans(stapserver_t, stapserver_var_lib_t, dir)
+
+manage_dirs_pattern(stapserver_t, stapserver_log_t, stapserver_log_t)
+manage_files_pattern(stapserver_t, stapserver_log_t, stapserver_log_t)
+logging_log_filetrans(stapserver_t, stapserver_log_t, dir )
+
+manage_dirs_pattern(stapserver_t, stapserver_tmp_t, stapserver_tmp_t)
+manage_files_pattern(stapserver_t, stapserver_tmp_t, stapserver_tmp_t)
+manage_lnk_files_pattern(stapserver_t, stapserver_tmp_t, stapserver_tmp_t)
+files_tmp_filetrans(stapserver_t, stapserver_tmp_t, { file dir })
+
+manage_dirs_pattern(stapserver_t, stapserver_var_run_t, stapserver_var_run_t)
+manage_files_pattern(stapserver_t, stapserver_var_run_t, stapserver_var_run_t)
+files_pid_filetrans(stapserver_t, stapserver_var_run_t, dir )
+
+kernel_read_system_state(stapserver_t)
+kernel_read_kernel_sysctls(stapserver_t)
+
+corecmd_exec_bin(stapserver_t)
+corecmd_exec_shell(stapserver_t)
+
+domain_read_all_domains_state(stapserver_t)
+domain_use_interactive_fds(stapserver_t)
+
+dev_read_sysfs(stapserver_t)
+dev_read_rand(stapserver_t)
+dev_read_urand(stapserver_t)
+
+files_list_tmp(stapserver_t)
+files_search_kernel_modules(stapserver_t)
+
+fs_search_cgroup_dirs(stapserver_t)
+fs_getattr_all_fs(stapserver_t)
+
+auth_use_nsswitch(stapserver_t)
+
+init_read_utmp(stapserver_t)
+
+logging_send_audit_msgs(stapserver_t)
+logging_send_syslog_msg(stapserver_t)
+
+#lspci
+miscfiles_read_hwdata(stapserver_t)
+
+systemd_dbus_chat_logind(stapserver_t)
+
+userdom_use_user_terminals(stapserver_t)
+
+optional_policy(`
+    avahi_dbus_chat(stapserver_t)
+')
+
+optional_policy(`
+	consoletype_exec(stapserver_t)
+')
+
+optional_policy(`
+	dbus_system_bus_client(stapserver_t)
+')
+
+optional_policy(`
+	hostname_exec(stapserver_t)
+')
+
+optional_policy(`
+	plymouthd_exec_plymouth(stapserver_t)
+')
+
+optional_policy(`
+	rpm_exec(stapserver_t)
+')
+
Index: serefpolicy-contrib-20140730/stunnel.te
===================================================================
--- serefpolicy-contrib-20140730.orig/stunnel.te
+++ serefpolicy-contrib-20140730/stunnel.te
@@ -48,7 +48,6 @@ kernel_read_network_state(stunnel_t)
 
 corecmd_exec_bin(stunnel_t)
 
-corenet_all_recvfrom_unlabeled(stunnel_t)
 corenet_all_recvfrom_netlabel(stunnel_t)
 corenet_tcp_sendrecv_generic_if(stunnel_t)
 corenet_tcp_sendrecv_generic_node(stunnel_t)
@@ -75,7 +74,6 @@ auth_use_nsswitch(stunnel_t)
 logging_send_syslog_msg(stunnel_t)
 
 miscfiles_read_generic_certs(stunnel_t)
-miscfiles_read_localization(stunnel_t)
 
 userdom_dontaudit_use_unpriv_user_fds(stunnel_t)
 userdom_dontaudit_search_user_home_dirs(stunnel_t)
@@ -105,4 +103,5 @@ optional_policy(`
 gen_require(`
 	type stunnel_port_t;
 ')
+
 allow stunnel_t stunnel_port_t:tcp_socket name_bind;
Index: serefpolicy-contrib-20140730/svnserve.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/svnserve.fc
+++ serefpolicy-contrib-20140730/svnserve.fc
@@ -1,8 +1,13 @@
-/etc/rc\.d/init\.d/svnserve	--	gen_context(system_u:object_r:svnserve_initrc_exec_t,s0)
+/etc/rc.d/init.d/svnserve	--	gen_context(system_u:object_r:svnserve_initrc_exec_t,s0)
 
-/usr/bin/svnserve	--	gen_context(system_u:object_r:svnserve_exec_t,s0)
+/usr/bin/svnserve		--	gen_context(system_u:object_r:svnserve_exec_t,s0)
 
-/var/lib/subversion/repo(/.*)?	gen_context(system_u:object_r:svnserve_content_t,s0)
+/lib/systemd/system/svnserve\.service                --      gen_context(system_u:object_r:svnserve_unit_file_t,s0)
+/usr/lib/systemd/system/svnserve\.service                --      gen_context(system_u:object_r:svnserve_unit_file_t,s0)
 
-/var/run/svnserve(/.*)?	gen_context(system_u:object_r:svnserve_var_run_t,s0)
-/var/run/svnserve\.pid	--	gen_context(system_u:object_r:svnserve_var_run_t,s0)
+/var/run/svnserve(/.*)?			gen_context(system_u:object_r:svnserve_var_run_t,s0)
+/var/run/svnserve.pid		--	gen_context(system_u:object_r:svnserve_var_run_t,s0)
+
+/var/svn(/.*)?                  gen_context(system_u:object_r:svnserve_content_t,s0)
+/var/subversion/repo(/.*)?		gen_context(system_u:object_r:svnserve_content_t,s0)	
+/var/lib/subversion/repo(/.*)?		gen_context(system_u:object_r:svnserve_content_t,s0)	
Index: serefpolicy-contrib-20140730/svnserve.if
===================================================================
--- serefpolicy-contrib-20140730.orig/svnserve.if
+++ serefpolicy-contrib-20140730/svnserve.if
@@ -1,35 +1,118 @@
-## <summary>Server for the svn repository access method.</summary>
+
+## <summary>policy for svnserve</summary>
+
+
+########################################
+## <summary>
+##	Transition to svnserve.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`svnserve_domtrans',`
+	gen_require(`
+		type svnserve_t, svnserve_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, svnserve_exec_t, svnserve_t)
+')
+
+
+########################################
+## <summary>
+##	Execute svnserve server in the svnserve domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`svnserve_initrc_domtrans',`
+	gen_require(`
+		type svnserve_initrc_exec_t;
+	')
+
+	init_labeled_script_domtrans($1, svnserve_initrc_exec_t)
+')
+
+#######################################
+## <summary>
+##      Execute svnserve server in the svnserve domain.
+## </summary>
+## <param name="domain">
+##      <summary>
+##      Domain allowed to transition.
+##      </summary>
+## </param>
+#
+interface(`svnserve_systemctl',`
+        gen_require(`
+                type svnserve_t;
+                type svnserve_unit_file_t;
+        ')
+
+        systemd_exec_systemctl($1)
+        allow $1 svnserve_unit_file_t:file read_file_perms;
+        allow $1 svnserve_unit_file_t:service manage_service_perms;
+
+        ps_process_pattern($1, svnserve_t)
+')
 
 ########################################
 ## <summary>
-##	All of the rules required to
-##	administrate an svnserve environment.
+##	Read svnserve PID files.
 ## </summary>
 ## <param name="domain">
 ##	<summary>
 ##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <param name="role">
+#
+interface(`svnserve_read_pid_files',`
+	gen_require(`
+		type svnserve_var_run_t;
+	')
+
+	files_search_pids($1)
+	allow $1 svnserve_var_run_t:file read_file_perms;
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an svnserve environment
+## </summary>
+## <param name="domain">
 ##	<summary>
-##	Role allowed access.
+##	Domain allowed access.
 ##	</summary>
 ## </param>
-## <rolecap/>
 #
 interface(`svnserve_admin',`
 	gen_require(`
-		type svnserve_t, svnserve_initrc_exec_t, svnserve_var_run_t;
+		type svnserve_t;
+		type svnserve_var_run_t;
+		type svnserve_unit_file_t;
 	')
 
 	allow $1 svnserve_t:process { ptrace signal_perms };
 	ps_process_pattern($1, svnserve_t)
 
-	init_labeled_script_domtrans($1, svnserve_initrc_exec_t)
-	domain_system_change_exemption($1)
-	role_transition $2 svnserve_initrc_exec_t system_r;
-	allow $2 system_r;
-
 	files_search_pids($1)
-	admin_pattern($1, httpd_var_run_t)
+	admin_pattern($1, svnserve_var_run_t)
+
+	svnserve_systemctl($1)
+	admin_pattern($1, svnserve_unit_file_t)
+	allow $1 svnserve_unit_file_t:service all_service_perms;
+        optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
 ')
+
Index: serefpolicy-contrib-20140730/svnserve.te
===================================================================
--- serefpolicy-contrib-20140730.orig/svnserve.te
+++ serefpolicy-contrib-20140730/svnserve.te
@@ -12,12 +12,18 @@ init_daemon_domain(svnserve_t, svnserve_
 type svnserve_initrc_exec_t;
 init_script_file(svnserve_initrc_exec_t)
 
+type svnserve_unit_file_t;
+systemd_unit_file(svnserve_unit_file_t)
+
 type svnserve_content_t;
 files_type(svnserve_content_t)
 
 type svnserve_var_run_t;
 files_pid_file(svnserve_var_run_t)
 
+type svnserve_tmp_t;
+files_tmp_file(svnserve_tmp_t)
+
 ########################################
 #
 # Local policy
@@ -27,6 +33,11 @@ allow svnserve_t self:fifo_file rw_fifo_
 allow svnserve_t self:tcp_socket create_stream_socket_perms;
 allow svnserve_t self:unix_stream_socket { listen accept };
 
+manage_dirs_pattern(svnserve_t, svnserve_tmp_t, svnserve_tmp_t)
+manage_files_pattern(svnserve_t, svnserve_tmp_t, svnserve_tmp_t)
+manage_lnk_files_pattern(svnserve_t, svnserve_tmp_t, svnserve_tmp_t)
+files_tmp_filetrans(svnserve_t, svnserve_tmp_t, { file dir })
+
 manage_dirs_pattern(svnserve_t, svnserve_content_t, svnserve_content_t)
 manage_files_pattern(svnserve_t, svnserve_content_t, svnserve_content_t)
 
@@ -34,9 +45,6 @@ manage_dirs_pattern(svnserve_t, svnserve
 manage_files_pattern(svnserve_t, svnserve_var_run_t, svnserve_var_run_t)
 files_pid_filetrans(svnserve_t, svnserve_var_run_t, { dir file })
 
-files_read_etc_files(svnserve_t)
-files_read_usr_files(svnserve_t)
-
 corenet_all_recvfrom_unlabeled(svnserve_t)
 corenet_all_recvfrom_netlabel(svnserve_t)
 corenet_tcp_sendrecv_generic_if(svnserve_t)
@@ -52,8 +60,8 @@ corenet_tcp_sendrecv_svn_port(svnserve_t
 corenet_udp_bind_svn_port(svnserve_t)
 corenet_udp_sendrecv_svn_port(svnserve_t)
 
-logging_send_syslog_msg(svnserve_t)
+dev_read_urand(svnserve_t)
 
-miscfiles_read_localization(svnserve_t)
+logging_send_syslog_msg(svnserve_t)
 
 sysnet_dns_name_resolve(svnserve_t)
Index: serefpolicy-contrib-20140730/swift_alias.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/swift_alias.fc
@@ -0,0 +1 @@
+# Empty
Index: serefpolicy-contrib-20140730/swift_alias.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/swift_alias.if
@@ -0,0 +1,2 @@
+
+## <summary>swift_alias policy module</summary>
Index: serefpolicy-contrib-20140730/swift_alias.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/swift_alias.te
@@ -0,0 +1,26 @@
+policy_module(swift_alias, 1.0.0)
+
+#
+# swift_alias.pp policy replaces swift.pp policy
+# which is a part of openstack-selinux.rpm package
+#
+
+########################################
+#
+# Declarations
+#
+
+#call stub interfaces for basic types
+init_stub_initrc()
+corecmd_stub_bin()
+files_stub_var_run()
+files_stub_var()
+systemd_stub_unit_file()
+
+typealias initrc_t alias swift_t;
+typealias bin_t alias swift_exec_t;
+typealias var_run_t alias swift_var_run_t;
+typealias systemd_unit_file_t alias swift_unit_file_t;
+typealias var_t alias swift_data_t;
+
+
Index: serefpolicy-contrib-20140730/swift.fc
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/swift.fc
@@ -0,0 +1,33 @@
+/usr/bin/swift-account-auditor		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-account-reaper		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-account-replicator	--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-account-server		--	gen_context(system_u:object_r:swift_exec_t,s0)
+
+/usr/bin/swift-container-auditor	--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-container-replicator	--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-container-server		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-container-sync		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-container-updater	--	gen_context(system_u:object_r:swift_exec_t,s0)
+
+/usr/bin/swift-object-auditor		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-object-info		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-object-expirer   --  gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-object-replicator		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-object-server		--	gen_context(system_u:object_r:swift_exec_t,s0)
+/usr/bin/swift-object-updater		--	gen_context(system_u:object_r:swift_exec_t,s0)
+
+/usr/bin/swift-proxy-server         --  gen_context(system_u:object_r:swift_exec_t,s0)
+
+/usr/lib/systemd/system/openstack-swift.*      --  gen_context(system_u:object_r:swift_unit_file_t,s0)
+
+/var/lock/swift.*                   gen_context(system_u:object_r:swift_lock_t,s0)
+/var/cache/swift(/.*)?			--	gen_context(system_u:object_r:swift_var_cache_t,s0)
+/var/run/swift(/.*)?			--	gen_context(system_u:object_r:swift_var_run_t,s0)
+
+# This seems to be a de-facto standard when using swift.
+/srv/node(/.*)?		gen_context(system_u:object_r:swift_data_t,s0)
+
+# This is specific to RHOS's packstack utility
+ifdef(`distro_redhat', `
+/srv/loopback-device(/.*)?		gen_context(system_u:object_r:swift_data_t,s0)
+')
Index: serefpolicy-contrib-20140730/swift.if
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/swift.if
@@ -0,0 +1,155 @@
+
+## <summary>policy for swift</summary>
+
+########################################
+## <summary>
+##	Execute TEMPLATE in the swift domin.
+## </summary>
+## <param name="domain">
+## <summary>
+##	Domain allowed to transition.
+## </summary>
+## </param>
+#
+interface(`swift_domtrans',`
+	gen_require(`
+		type swift_t, swift_exec_t;
+	')
+
+	corecmd_search_bin($1)
+	domtrans_pattern($1, swift_exec_t, swift_t)
+')
+
+########################################
+## <summary>
+##	Read swift PID files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`swift_read_pid_files',`
+	gen_require(`
+		type swift_var_run_t;
+	')
+
+	files_search_pids($1)
+	read_files_pattern($1, swift_var_run_t, swift_var_run_t)
+')
+
+########################################
+## <summary>
+##	Manage swift data files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`swift_manage_data_files',`
+	gen_require(`
+		type swift_data_t;
+	')
+
+	files_search_pids($1)
+	manage_files_pattern($1, swift_data_t, swift_data_t)
+	manage_dirs_pattern($1, swift_data_t, swift_data_t)
+')
+
+#####################################
+## <summary>
+##	Read and write swift lock files.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+#
+interface(`swift_manage_lock',`
+	gen_require(`
+		type swift_lock_t;
+	')
+
+	files_search_locks($1)
+    manage_files_pattern($1, swift_lock_t, swift_lock_t)
+')
+
+#######################################
+## <summary>
+##  Transition content labels to swift named content
+## </summary>
+## <param name="domain">
+##  <summary>
+##      Domain allowed access.
+##  </summary>
+## </param>
+#
+interface(`swift_filetrans_named_lock',`
+    gen_require(`
+        type swift_lock_t;
+    ')
+
+    files_lock_filetrans($1, swift_lock_t, file, "swift_server.lock")
+')
+
+########################################
+## <summary>
+##	Execute swift server in the swift domain.
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed to transition.
+##	</summary>
+## </param>
+#
+interface(`swift_systemctl',`
+	gen_require(`
+		type swift_t;
+		type swift_unit_file_t;
+	')
+
+	systemd_exec_systemctl($1)
+	allow $1 swift_unit_file_t:file read_file_perms;
+	allow $1 swift_unit_file_t:service manage_service_perms;
+
+	ps_process_pattern($1, swift_t)
+')
+
+
+########################################
+## <summary>
+##	All of the rules required to administrate
+##	an swift environment
+## </summary>
+## <param name="domain">
+##	<summary>
+##	Domain allowed access.
+##	</summary>
+## </param>
+## <rolecap/>
+#
+interface(`swift_admin',`
+	gen_require(`
+		type swift_t;
+		type swift_var_run_t;
+	type swift_unit_file_t;
+	')
+
+	allow $1 swift_t:process { ptrace signal_perms };
+	ps_process_pattern($1, swift_t)
+
+	files_search_pids($1)
+	admin_pattern($1, swift_var_run_t)
+
+	swift_systemctl($1)
+	admin_pattern($1, swift_unit_file_t)
+	allow $1 swift_unit_file_t:service all_service_perms;
+	optional_policy(`
+		systemd_passwd_agent_exec($1)
+		systemd_read_fifo_file_passwd_run($1)
+	')
+')
Index: serefpolicy-contrib-20140730/swift.te
===================================================================
--- /dev/null
+++ serefpolicy-contrib-20140730/swift.te
@@ -0,0 +1,128 @@
+policy_module(swift, 1.0.0)
+
+########################################
+#
+# Declarations
+#
+
+## <desc>
+##  <p>
+##	Determine whether swift can
+##	connect to all TCP ports
+##	</p>
+## </desc>
+gen_tunable(swift_can_network, false)
+
+
+type swift_t;
+type swift_exec_t;
+init_daemon_domain(swift_t, swift_exec_t)
+
+type swift_lock_t;
+files_lock_file(swift_lock_t)
+
+type swift_tmp_t;
+files_tmp_file(swift_tmp_t)
+
+type swift_tmpfs_t;
+files_tmpfs_file(swift_tmpfs_t)
+
+type swift_var_cache_t;
+files_type(swift_var_cache_t)
+
+type swift_var_run_t;
+files_pid_file(swift_var_run_t)
+
+type swift_unit_file_t;
+systemd_unit_file(swift_unit_file_t)
+
+type swift_data_t;
+files_type(swift_data_t)
+
+########################################
+#
+# swift local policy
+#
+
+allow swift_t self:process signal;
+
+allow swift_t self:fifo_file rw_fifo_file_perms;
+allow swift_t self:tcp_socket create_stream_socket_perms;
+allow swift_t self:unix_stream_socket create_stream_socket_perms;
+allow swift_t self:unix_dgram_socket create_socket_perms;
+
+manage_dirs_pattern(swift_t, swift_lock_t, swift_lock_t)
+manage_files_pattern(swift_t, swift_lock_t, swift_lock_t)
+files_lock_filetrans(swift_t, swift_lock_t, { dir file })
+
+manage_dirs_pattern(swift_t, swift_tmp_t, swift_tmp_t)
+manage_files_pattern(swift_t, swift_tmp_t, swift_tmp_t)
+files_tmp_filetrans(swift_t, swift_tmp_t, { dir file })
+
+manage_dirs_pattern(swift_t, swift_tmpfs_t, swift_tmpfs_t)
+manage_files_pattern(swift_t, swift_tmpfs_t, swift_tmpfs_t)
+fs_tmpfs_filetrans(swift_t, swift_tmpfs_t, { dir file })
+
+manage_dirs_pattern(swift_t, swift_var_cache_t, swift_var_cache_t)
+manage_files_pattern(swift_t, swift_var_cache_t, swift_var_cache_t)
+manage_lnk_files_pattern(swift_t, swift_var_cache_t, swift_var_cache_t)
+files_var_filetrans(swift_t,swift_var_cache_t, { dir file })
+
+manage_dirs_pattern(swift_t, swift_var_run_t, swift_var_run_t)
+manage_files_pattern(swift_t, swift_var_run_t, swift_var_run_t)
+manage_lnk_files_pattern(swift_t, swift_var_run_t, swift_var_run_t)
+files_pid_filetrans(swift_t, swift_var_run_t, { dir })
+
+# swift makes use of rsync, so we need to give rsync permissions
+# to edit swift_data_t files as well as swift_t those permissions
+manage_dirs_pattern(swift_t, swift_data_t, swift_data_t)
+manage_files_pattern(swift_t, swift_data_t, swift_data_t)
+
+kernel_dgram_send(swift_t)
+kernel_read_system_state(swift_t)
+kernel_read_network_state(swift_t)
+
+# bug in swift
+corenet_tcp_bind_xserver_port(swift_t)
+
+corenet_tcp_bind_swift_port(swift_t)
+corenet_tcp_bind_http_cache_port(swift_t)
+
+corenet_tcp_connect_xserver_port(swift_t)
+corenet_tcp_connect_swift_port(swift_t)
+corenet_tcp_connect_keystone_port(swift_t)
+corenet_tcp_connect_memcache_port(swift_t)
+
+corecmd_exec_shell(swift_t)
+corecmd_exec_bin(swift_t)
+
+dev_read_urand(swift_t)
+
+domain_use_interactive_fds(swift_t)
+
+files_dontaudit_search_home(swift_t)
+
+fs_getattr_all_fs(swift_t)
+
+auth_use_nsswitch(swift_t)
+
+libs_exec_ldconfig(swift_t)
+
+logging_send_syslog_msg(swift_t)
+
+userdom_dontaudit_search_user_home_dirs(swift_t)
+
+tunable_policy(`swift_can_network',`
+	corenet_sendrecv_all_client_packets(swift_t)
+	corenet_tcp_connect_all_ports(swift_t)
+	corenet_tcp_sendrecv_all_ports(swift_t)
+')
+
+optional_policy(`
+    apache_search_config(swift_t)
+')
+
+optional_policy(`
+    rpm_exec(swift_t)
+    rpm_dontaudit_manage_db(swift_t)
+')
Index: serefpolicy-contrib-20140730/sxid.te
===================================================================
--- serefpolicy-contrib-20140730.orig/sxid.te
+++ serefpolicy-contrib-20140730/sxid.te
@@ -40,7 +40,6 @@ kernel_read_kernel_sysctls(sxid_t)
 corecmd_exec_bin(sxid_t)
 corecmd_exec_shell(sxid_t)
 
-corenet_all_recvfrom_unlabeled(sxid_t)
 corenet_all_recvfrom_netlabel(sxid_t)
 corenet_tcp_sendrecv_generic_if(sxid_t)
 corenet_udp_sendrecv_generic_if(sxid_t)
@@ -66,7 +65,7 @@ fs_list_all(sxid_t)
 
 term_dontaudit_use_console(sxid_t)
 
-files_read_non_auth_files(sxid_t)
+files_read_non_security_files(sxid_t)
 auth_dontaudit_getattr_shadow(sxid_t)
 
 init_use_fds(sxid_t)
@@ -74,8 +73,6 @@ init_use_script_ptys(sxid_t)
 
 logging_send_syslog_msg(sxid_t)
 
-miscfiles_read_localization(sxid_t)
-
 sysnet_read_config(sxid_t)
 
 userdom_dontaudit_use_unpriv_user_fds(sxid_t)
Index: serefpolicy-contrib-20140730/sysstat.te
===================================================================
--- serefpolicy-contrib-20140730.orig/sysstat.te
+++ serefpolicy-contrib-20140730/sysstat.te
@@ -24,9 +24,7 @@ allow sysstat_t self:capability { dac_ov
 allow sysstat_t self:fifo_file rw_fifo_file_perms;
 
 manage_dirs_pattern(sysstat_t,sysstat_log_t,sysstat_log_t)
-append_files_pattern(sysstat_t, sysstat_log_t, sysstat_log_t)
-create_files_pattern(sysstat_t, sysstat_log_t, sysstat_log_t)
-setattr_files_pattern(sysstat_t, sysstat_log_t, sysstat_log_t)
+manage_files_pattern(sysstat_t, sysstat_log_t, sysstat_log_t)
 manage_lnk_files_pattern(sysstat_t,sysstat_log_t,sysstat_log_t)
 logging_log_filetrans(sysstat_t, sysstat_log_t, { file dir })
 
@@ -38,6 +36,7 @@ kernel_read_kernel_sysctls(sysstat_t)
 kernel_read_fs_sysctls(sysstat_t)
 kernel_read_rpc_sysctls(sysstat_t)
 
+corecmd_exec_shell(sysstat_t)
 corecmd_exec_bin(sysstat_t)
 
 dev_read_sysfs(sysstat_t)
@@ -46,11 +45,13 @@ dev_read_urand(sysstat_t)
 files_search_var(sysstat_t)
 files_read_etc_runtime_files(sysstat_t)
 
-fs_getattr_xattr_fs(sysstat_t)
+fs_getattr_all_fs(sysstat_t)
 fs_list_inotifyfs(sysstat_t)
 
+storage_getattr_fixed_disk_dev(sysstat_t)
+
 term_use_console(sysstat_t)
-term_use_all_terms(sysstat_t)
+term_use_all_inherited_terms(sysstat_t)
 
 auth_use_nsswitch(sysstat_t)
 
@@ -60,10 +61,9 @@ locallogin_use_fds(sysstat_t)
 
 logging_send_syslog_msg(sysstat_t)
 
-miscfiles_read_localization(sysstat_t)
-
 userdom_dontaudit_list_user_home_dirs(sysstat_t)
 
 optional_policy(`
 	cron_system_entry(sysstat_t, sysstat_exec_t)
 ')
+
Index: serefpolicy-contrib-20140730/tcpd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tcpd.te
+++ serefpolicy-contrib-20140730/tcpd.te
@@ -23,7 +23,6 @@ manage_dirs_pattern(tcpd_t, tcpd_tmp_t,
 manage_files_pattern(tcpd_t, tcpd_tmp_t, tcpd_tmp_t)
 files_tmp_filetrans(tcpd_t, tcpd_tmp_t, { file dir })
 
-corenet_all_recvfrom_unlabeled(tcpd_t)
 corenet_all_recvfrom_netlabel(tcpd_t)
 corenet_tcp_sendrecv_generic_if(tcpd_t)
 corenet_tcp_sendrecv_generic_node(tcpd_t)
@@ -31,15 +30,12 @@ corenet_tcp_sendrecv_all_ports(tcpd_t)
 
 fs_getattr_xattr_fs(tcpd_t)
 
-corecmd_search_bin(tcpd_t)
+corecmd_exec_bin(tcpd_t)
 
-files_read_etc_files(tcpd_t)
 files_dontaudit_search_var(tcpd_t)
 
 logging_send_syslog_msg(tcpd_t)
 
-miscfiles_read_localization(tcpd_t)
-
 sysnet_read_config(tcpd_t)
 
 inetd_domtrans_child(tcpd_t)
Index: serefpolicy-contrib-20140730/tcsd.if
===================================================================
--- serefpolicy-contrib-20140730.orig/tcsd.if
+++ serefpolicy-contrib-20140730/tcsd.if
@@ -138,8 +138,11 @@ interface(`tcsd_admin',`
 		type tcsd_t, tcsd_initrc_exec_t, tcsd_var_lib_t;
 	')
 
-	allow $1 tcsd_t:process { ptrace signal_perms };
+	allow $1 tcsd_t:process signal_perms;
 	ps_process_pattern($1, tcsd_t)
+	tunable_policy(`deny_ptrace',`',`
+		allow $1 tcsd_t:process ptrace;
+	')
 
 	tcsd_initrc_domtrans($1)
 	domain_system_change_exemption($1)
Index: serefpolicy-contrib-20140730/tcsd.te
===================================================================
--- serefpolicy-contrib-20140730.orig/tcsd.te
+++ serefpolicy-contrib-20140730/tcsd.te
@@ -1,4 +1,4 @@
-policy_module(tcsd, 1.2.0)
+policy_module(tcsd, 1.1.1)
 
 ########################################
 #
@@ -41,12 +41,8 @@ corenet_tcp_sendrecv_tcs_port(tcsd_t)
 dev_read_urand(tcsd_t)
 dev_rw_tpm(tcsd_t)
 
-files_read_usr_files(tcsd_t)
-
 auth_use_nsswitch(tcsd_t)
 
 init_read_utmp(tcsd_t)
 
 logging_send_syslog_msg(tcsd_t)
-
-miscfiles_read_localization(tcsd_t)
Index: serefpolicy-contrib-20140730/telepathy.fc
===================================================================
--- serefpolicy-contrib-20140730.orig/telepathy.fc
+++ serefpolicy-contrib-20140730/telepathy.fc
@@ -1,35 +1,23 @@
-HOME_DIR/\.cache/\.mc_connections	--	gen_context(system_u:object_r:telepathy_mission_control_cache_home_t,s0)
+HOME_DIR/\.cache/\.mc_connections	--	gen_context(system_u:object_r:telepathy_mission_control_cache_home_t, s0)
 HOME_DIR/\.cache/telepathy(/.*)?	gen_context(system_u:object_r:telepathy_cache_home_t, s0)
-HOME_DIR/\.cache/telepathy/avatars/gabble(/.*)?	gen_context(system_u:object_r:telepathy_gabble_cache_home_t, s0)
 HOME_DIR/\.cache/telepathy/logger(/.*)?	gen_context(system_u:object_r:telepathy_logger_cache_home_t,s0)
-HOME_DIR/\.cache/telepathy/gabble(/.*)?	gen_context(system_u:object_r:telepathy_gabble_cache_home_t,s0)
-HOME_DIR/\.cache/wocky(/.*)?	gen_context(system_u:object_r:telepathy_gabble_cache_home_t,s0)
-HOME_DIR/\.mission-control(/.*)?	gen_context(system_u:object_r:telepathy_mission_control_home_t,s0)
+HOME_DIR/\.cache/telepathy/avatars/gabble(/.*)?		gen_context(system_u:object_r:telepathy_gabble_cache_home_t, s0)
+HOME_DIR/\.cache/telepathy/gabble(/.*)?		gen_context(system_u:object_r:telepathy_gabble_cache_home_t, s0)
+HOME_DIR/\.cache/wocky(/.*)?			gen_context(system_u:object_r:telepathy_gabble_cache_home_t, s0)
+HOME_DIR/\.mission-control(/.*)?		gen_context(system_u:object_r:telepathy_mission_control_home_t, s0)
 HOME_DIR/\.local/share/telepathy(/.*)?	gen_context(system_u:object_r:telepathy_data_home_t,s0)
-HOME_DIR/\.local/share/telepathy/mission-control(/.*)?	gen_context(system_u:object_r:telepathy_mission_control_data_home_t,s0)
-HOME_DIR/\.telepathy-sunshine(/.*)?	gen_context(system_u:object_r:telepathy_sunshine_home_t,s0)
-HOME_DIR/\.local/share/TpLogger(/.*)?	gen_context(system_u:object_r:telepathy_logger_data_home_t,s0)
+HOME_DIR/\.local/share/telepathy/mission-control(/.*)?		gen_context(system_u:object_r:telepathy_mission_control_data_home_t, s0)
+HOME_DIR/\.telepathy-sunshine(/.*)?		gen_context(system_u:object_r:telepathy_sunshine_home_t, s0)
+HOME_DIR/\.local/share/TpLogger(/.*)?		gen_context(system_u:object_r:telepathy_logger_data_home_t,s0)
 
-/usr/lib/telepathy/mission-control-5	--	gen_context(system_u:object_r:telepathy_mission_control_exec_t,s0)
-/usr/lib/telepathy/telepathy-butterfly	--	gen_context(system_u:object_r:telepathy_msn_exec_t,s0)
-/usr/lib/telepathy/telepathy-gabble	--	gen_context(system_u:object_r:telepathy_gabble_exec_t,s0)
-/usr/lib/telepathy/telepathy-haze	--	gen_context(system_u:object_r:telepathy_msn_exec_t,s0)
-/usr/lib/telepathy/telepathy-idle	--	gen_context(system_u:object_r:telepathy_idle_exec_t,s0)
-/usr/lib/telepathy/telepathy-logger	--	gen_context(system_u:object_r:telepathy_logger_exec_t,s0)
-/usr/lib/telepathy/telepathy-salut	--	gen_context(system_u:object_r:telepathy_salut_exec_t,s0)
-/usr/lib/telepathy/telepathy-sofiasip	--	gen_context(system_u:object_r:telepathy_sofiasip_exec_t,s0)
-/usr/lib/telepathy/telepathy-rakia	--	gen_context(system_u:object_r:telepathy_sofiasip_exec_t,s0)
-/usr/lib/telepathy/telepathy-stream-engine	--	gen_context(system_u:object_r:telepathy_stream_engine_exec_t,s0)
-/usr/lib/telepathy/telepathy-sunshine	--	gen_context(system_u:object_r:telepathy_sunshine_exec_t,s0)
-
-/usr/libexec/mission-control-5	--	gen_context(system_u:object_r:telepathy_mission_control_exec_t,s0)
-/usr/libexec/telepathy-butterfly	--	gen_context(system_u:object_r:telepathy_msn_exec_t,s0)
-/usr/libexec/telepathy-gabble	--	gen_context(system_u:object_r:telepathy_gabble_exec_t,s0)
-/usr/libexec/telepathy-haze	--	gen_context(system_u:object_r:telepathy_msn_exec_t,s0)
-/usr/libexec/telepathy-idle	--	gen_context(system_u:object_r:telepathy_idle_exec_t,s0)
-/usr/libexec/telepathy-logger	--	gen_context(system_u:object_r:telepathy_logger_exec_t,s0)
-/usr/libexec/telepathy-salut	--	gen_context(system_u:object_r:telepathy_salut_exec_t, s0)
-/usr/libexec/telepathy-sofiasip	--	gen_context(system_u:object_r:telepathy_sofiasip_exec_t,s0)
-/usr/libexec/telepathy-rakia	--	gen_context(system_u:object_r:telepathy_sofiasip_exec_t,s0)
-/usr/libexec/telepathy-stream-engine	--	gen_context(system_u:object_r:telepathy_stream_engine_exec_t,s0)
-/usr/libexec/telepathy-sunshine	--	gen_context(system_u:object_r:telepathy_sunshine_exec_t,s0)
+/usr/libexec/mission-control-5		--	gen_context(system_u:object_r:telepathy_mission_control_exec_t, s0)
+/usr/libexec/telepathy-butterfly	--	gen_context(system_u:object_r:telepathy_msn_exec_t, s0)
+/usr/libexec/telepathy-gabble		--	gen_context(system_u:object_r:telepathy_gabble_exec_t, s0)
+/usr/libexec/telepathy-haze		--	gen_context(system_u:object_r:telepathy_msn_exec_t, s0)
+/usr/libexec/telepathy-idle		--	gen_context(system_u:object_r:telepathy_idle_exec_t, s0)
+/usr/libexec/telepathy-logger		--	gen_context(system_u:object_r:telepathy_logger_exec_t,s0)
+/usr/libexec/telepathy-salut		--	gen_context(system_u:object_r:telepathy_salut_exec_t, s0)
+/usr/libexec/telepathy-sofiasip		--	gen_context(system_u:object_r:telepathy_sofiasip_exec_t, s0)
+/usr/libexec/telepathy-rakia        --  gen_context(system_u:object_r:telepathy_sofiasip_exec_t, s0)
+/usr/libexec/telepathy-stream-engine	--	gen_context(system_u:object_r:telepathy_stream_engine_exec_t, s0)
+/usr/libexec/telepathy-sunshine		--	gen_context(system_u:object_r:telepathy_sunshine_exec_t, s0)
